
itb.round = function(s., type., round.)
   {d = transform(
        ss(ts, s == s. & type == type. & round == round. &
            is.na(catchtype)),
        tn = num(factor(tn)))
    ggplot(d) +
        geom_rect(size = 2, aes(
            xmin = tn - .5, xmax = tn + .5,
            ymin = ifelse(choice == "ll", 1, ssr/llr),
            ymax = ifelse(choice == "ss", 0, ssr/llr))) +
        geom_hline(
            y = ss(discs, s == s. & type == type. & round == round.)$disc,
            color = "blue") +
        scale_x_continuous(breaks = 1 : max(d$tn)) +
        scale_y_continuous(breaks = seq(0, 1, .2)) +
        coord_cartesian(
            xlim = c(.5, max(d$tn) + .5),
            ylim = c(0, 1)) +
        theme(
            panel.grid.major.x = element_blank(),
            panel.grid.minor.x = element_blank())}
