library(reshape2)
library(plyr)
library(stringr)
library(DBI)
library(RSQLite)
library(R.cache)
library(ggplot2)
library(MASS)
#library(randomForest)
library(quantreg)
#library(quantregForest)
#library(e1071)
#library(np)
library(bbmle)

sys.source(getOption("Kodi.R.path"), Kodi <- new.env())
for (name in Kodi$qw(
        qw, rd, ordf, dfn, ss, df2nv, vassign, char, num, qmean, mad1, geom_densitybw,
        ifna, maprows, modlevels, revn, logi2factor,
        abbcor,
        logit, ilogit,
        unpack.tversky, tversky.sid, posix.ct,
        lapply.names, mapcols,
        dodge, boxp, no.gridlines,
        crossvalid, knn.autok,
        reprows
      ))
    assign(name, Kodi[[name]])
cached = Kodi$mk.cached(c("Kodi", "projects", "rickrack"))

# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
# Suboordinate files
# --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

source("data-mturk.R", local = T)
source("data-nlsy.R", local = T)
